#!/bin/bash
#

echo -n "Get host and password"

NAME=rtls-message-processor

RTLS_MESSAGE_PROCESSOR_ENV="prod"
DATABASE_FILE="/usr/rtls/database.json"

HOST=$(jq -r ".${RTLS_MESSAGE_PROCESSOR_ENV}.host" "${DATABASE_FILE}")
PORT=$(jq -r ".${RTLS_MESSAGE_PROCESSOR_ENV}.port" "${DATABASE_FILE}")
DATABASE=$(jq -r ".${RTLS_MESSAGE_PROCESSOR_ENV}.database" "${DATABASE_FILE}")
USER=$(jq -r ".${RTLS_MESSAGE_PROCESSOR_ENV}.user" "${DATABASE_FILE}")
PASS=$(jq -r ".${RTLS_MESSAGE_PROCESSOR_ENV}.password" "${DATABASE_FILE}")

CONF="/etc/rtls/${NAME}.conf"
sed -i "s/^.*db_addr.*=.*/db_addr = \"${HOST}\";/" "${CONF}"
sed -i "s/^.*db_port.*=.*/db_port = ${PORT};/" "${CONF}"
sed -i "s/^.*db_name.*=.*/db_name = \"${DATABASE}\";/" "${CONF}"
sed -i "s/^.*db_login.*=.*/db_login = \"${USER}\";/" "${CONF}"
sed -i "s/^.*db_pass.*=.*/db_pass = \"${PASS}\";/" "${CONF}"
